Bug 60189 - extremely slow loading of some urls
extremely slow loading of some urls
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-21 11:46 EST by Joe Harrington
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-21 14:24:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2002-02-21 11:46:17 EST
Description of Problem:

Some web pages load extremely slowly in Mozilla, but load quickly in Netscape 4.
 For example:

http://www.landsend.com/cd/frontdoor/
http://www.fool.com/

Version-Release number of selected component (if applicable):

mozilla-0.9.2.1-2

How Reproducible:

100%

Steps to Reproduce:
1. visit one of those URLS
2. 
3. 

Actual Results:

URL is entered, status bar says "Conntecting to (whatever)", watch pointer shows
for several minutes.  Sometimes it displays the page, or the page minus the
images (is it waiting for the page to complete rendering before loading the
images?), but the watch pointer persists for a long time.

Expected Results:

The page and images load and the watch pointer returns to an arrow pointer.

Additional Information:

Even on pages that load (such as https://bugzilla.redhat.com/), there is often a
delay and a messy screen for several seconds, where Netscape 4 just loads and goes.

--jh--
Comment 1 Joe Harrington 2002-02-21 12:09:07 EST
In case CPU speed matters for this, which it might unless it's a timeout issue,
I am doing this on 266 and dual-300 MHz 1686 cpus with 256 and 512 MB,
respectively.  So, not outrageously fast, but not uncommonly slow, especially in
home systems.  I'm not swapping.

--jh--
Comment 2 Christopher Blizzard 2002-02-21 14:24:46 EST
You should try version 0.9.8 of the browser to see if it's any better.

However, for what it's worth, on those low end CPU systems ( by today's
comparison that is ) Mozilla isn't going to perform as well as Netscape 4.x. 
It's a bit more CPU hungry.
Comment 3 Christopher Blizzard 2002-08-29 17:28:16 EDT
Worksforme.  Besides, this isn't something that I'm going to fix here.  If
anywhere, it's going to get fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.